<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>VoiceAnnouncementImpl</title>
<link href="../../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../../styles/style.css" rel="Stylesheet"><link href="../../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../../styles/main.css" rel="Stylesheet"><link href="../../../styles/prism.css" rel="Stylesheet"><link href="../../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.device.control/VoiceAnnouncementImpl///PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../../index.html">bluconnect</a>/<a href="../index.html">com.aptener.bluconnect.device.control</a>/<a href="index.html">VoiceAnnouncementImpl</a></div>
          <div class="cover ">
            <h1 class="cover"><span>Voice</span><wbr></wbr><span>Announcement</span><wbr></wbr><span><span>Impl</span></span></h1>
            <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="index.html">VoiceAnnouncementImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="../-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../../com.aptener.bluconnect.common.usecase/-versatile-property/index.html">VersatileProperty</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-notification-state/index.html">VoiceAnnouncement.VoiceNotificationState</a><span class="token punctuation">, </span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-announcement-state/index.html">VoiceAnnouncement.VoiceAnnouncementState</a><span class="token operator">&gt; </span>, <a href="../../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/index.html">VoiceAnnouncement</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><p class="paragraph">Emits voice notification events</p><p class="paragraph">To observe <a href="../../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-notification-state/index.html">VoiceNotificationState</a></p><div class="sample-container"><pre><code class="block lang-kotlin" theme="idea">private val voiceNotificationStateObserver = PropertyObserver&lt;VoiceAnnouncement.VoiceNotificationState&gt;{ state -&gt;<br>    //Update UI<br>    }<br>sx20.voiceAnnouncement.observe(voiceNotificationStateObserver)</code></pre><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Constructors">Constructors</button><button class="section-tab" data-togglable="Functions">Functions</button><button class="section-tab" data-togglable="Properties">Properties</button></div>
            <div class="tabs-section-body">
              <h2 class="tabbedcontent">Constructors</h2>
              <div class="table" data-togglable="Constructors"><a data-name="382294506%2FConstructors%2F-1410038383" anchor-label="VoiceAnnouncementImpl" id="382294506%2FConstructors%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue TabbedContent">
                    <div class=""><span class="inline-flex"><a href="-voice-announcement-impl.html">VoiceAnnouncementImpl</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="382294506%2FConstructors%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="-voice-announcement-impl.html"><span class="token function">VoiceAnnouncementImpl</span></a><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="../-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <h2 class="">Functions</h2>
              <div class="table" data-togglable="Functions"><a data-name="-287398594%2FFunctions%2F-1410038383" anchor-label="observe" id="-287398594%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="index.html#-287398594%2FFunctions%2F-1410038383"><span><span>observe</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-287398594%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="index.html#-287398594%2FFunctions%2F-1410038383"><span class="token function">observe</span></a><span class="token punctuation">(</span>observer<span class="token operator">: </span><a href="../../com.aptener.bluconnect.common.usecase/-property-observer/index.html">PropertyObserver</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-announcement-state/index.html">VoiceAnnouncement.VoiceAnnouncementState</a><span class="token operator">&gt;</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1873024688%2FFunctions%2F-1410038383" anchor-label="onUpdate" id="1873024688%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="index.html#-101397216%2FFunctions%2F-1410038383"><span>on</span><wbr></wbr><span><span>Update</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1873024688%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.jvm/-jvm-name/index.html"><span class="token annotation">JvmName</span></a><span class="token punctuation">(</span><span>name<span class="token operator"> = </span><span class="breakable-word"><span class="token string">&quot;onUpdateSecond&quot;</span></span></span><wbr></wbr><span class="token punctuation">)</span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="index.html#-101397216%2FFunctions%2F-1410038383"><span class="token function">onUpdate</span></a><span class="token punctuation">(</span>value<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-announcement-state/index.html">VoiceAnnouncement.VoiceAnnouncementState</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="index.html#1307503300%2FFunctions%2F-1410038383"><span class="token function">onUpdate</span></a><span class="token punctuation">(</span>value<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-notification-state/index.html">VoiceAnnouncement.VoiceNotificationState</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-428763019%2FFunctions%2F-1410038383" anchor-label="queueMessage" id="-428763019%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="queue-message.html"><span>queue</span><wbr></wbr><span><span>Message</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-428763019%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">override </span><span class="token keyword">fun </span><a href="queue-message.html"><span class="token function">queueMessage</span></a><span class="token punctuation">(</span><span class="token keyword">vararg </span>msg<span class="token operator">: </span><a href="../../com.aptener.bluconnect.app.device.sx.usecase/-text-voice-notification-msg/index.html">TextVoiceNotificationMsg</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="brief "><p class="paragraph">Queue custom messages, that will be announced to the user</p></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <h2 class="">Properties</h2>
              <div class="table" data-togglable="Properties"><a data-name="-190600973%2FProperties%2F-1410038383" anchor-label="value" id="-190600973%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="../../com.aptener.bluconnect.common.usecase/-versatile-property/value.html">value</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-190600973%2FProperties%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted" data-togglable="Properties"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><a data-name="-190600973%2FProperties%2F-1410038383" anchor-label="value" id="-190600973%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">var </span><a href="../../com.aptener.bluconnect.common.usecase/-versatile-property/value.html">value</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-announcement-state/index.html">VoiceAnnouncement.VoiceAnnouncementState</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

